Subject: [IPsec] Fwd: New Version Notification for draft-nir-ipsecme-curve25519-00.txt

From: Yoav Nir <[email-masked]>
Date: Thu, 11 Jun 2015 18:36:03 +0300

Hi

I’ve submitted this draft, mostly based on Simon’s TLS draft.

CFRG is considering new curves for key agreement. So far, they’ve selected Curve25519 and they might add another one. This draft requests an identifier for this curve and standardizes payload format for IKE.

Compared to NIST curves such as P-256, Curve25519 is faster and easier to implement securely. It is now being used in SSH and TLS (experimentally). I believe the security requirements of IKE and those other protocols are very similar, so it makes sense to standardize this here as well.

My future plans for this draft:
 - Solicit feedback (that is this message)
 - Request adoption
 - Add examples
 - Request publication (only when CFRG is done, probably in parallel with TLS)

Yoav

> Begin forwarded message:
> 
> From: [email-masked]
> Subject: New Version Notification for draft-nir-ipsecme-curve25519-00.txt
> Date: June 11, 2015 at 11:01:26 AM GMT+3
> To: "Yoav Nir" <[email-masked]>, "Simon Josefsson" <[email-masked]>, "Yoav Nir" <[email-masked]>, "Simon Josefsson" <[email-masked]>
> 
> 
> A new version of I-D, draft-nir-ipsecme-curve25519-00.txt
> has been successfully submitted by Yoav Nir and posted to the
> IETF repository.
> 
> Name:		draft-nir-ipsecme-curve25519
> Revision:	00
> Title:		Using Curve25519 for IKEv2 Key Agreement
> Document date:	2015-06-11
> Group:		Individual Submission
> Pages:		11
> URL:            https://www.ietf.org/internet-drafts/draft-nir-ipsecme-curve25519-00.txt
> Status:         https://datatracker.ietf.org/doc/draft-nir-ipsecme-curve25519/
> Htmlized:       https://tools.ietf.org/html/draft-nir-ipsecme-curve25519-00
> 
> 
> Abstract:
>   This document describes the use of Curve25519 for ephemeral key
>   exchange in the Internet Key Exchange (IKEv2) protocol.
> 
> 
> 
> 
> Please note that it may take a couple of minutes from the time of submission
> until the htmlized version and diff are available at tools.ietf.org.
> 
> The IETF Secretariat
>